Page MenuHomePhabricator

Set up browser tests
Closed, ResolvedPublic

Description

  • browser tests must be run in integration with Wikibase
  • change to the README describing how to run the browser tests
  • spec files are part of the termbox repository
  • scenarios to start with
    • has primary fingerprint
    • can click edit/cancel
    • collapse/expand more and all languages sections

Goal for the first commit:

  • bunch of test scenarios
  • targeted at a wiki with Wikibase and termbox
  • runnable with some webdriver

What must *not* be covered in the initial patch:

  • testing against the "dev mode"
  • testing in integration with WB with js disabled, i.e. SSR integrated with wikibase
  • a need to run in any CI
  • including a modified wdio config, and ways to run tests within the termbox repo
  • ideally, any modification to the wikibase wdio.conf.js

What must never be covered by browser tests:

  • SSR output only

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2019, 11:23 AM

Change 509363 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Selenium tests for total dev-local-wiki

https://gerrit.wikimedia.org/r/509363

Change 510803 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] Integration of termbox selenium tests in wikibase

https://gerrit.wikimedia.org/r/510803

Change 510599 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Introduce continous selenium testing client side

https://gerrit.wikimedia.org/r/510599

Change 511117 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Introduce SSR Continous testing

https://gerrit.wikimedia.org/r/511117

Jakob_WMDE updated the task description. (Show Details)May 22 2019, 12:20 PM

Change 512103 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Selenium tests for integration with mediawiki only

https://gerrit.wikimedia.org/r/512103

Change 512103 merged by jenkins-bot:
[wikibase/termbox@master] Selenium tests for integration with mediawiki only

https://gerrit.wikimedia.org/r/512103

Jakob_WMDE closed this task as Resolved.Jun 5 2019, 11:02 AM